Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 09 Oct 2013, 15:36
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
I have tio ask - what is the difference between 4.2.1 => 4.2.2?

I'm seeing some horror stories on here. I have several mods, and was wondering what is the major difference between the two versions, and is it absolutely necessary to upgrade? Don't want any headaches. Just moved over from phpbb and that was hellacious enough...
Reply With Quote
  #2  
Old 09 Oct 2013, 18:45
snakes1100 snakes1100 is offline
 
Join Date: Dec 2001
Real name: Anthony
Just install the security patch, no need for a full update.
Reply With Quote
  #3  
Old 09 Oct 2013, 18:48
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
Originally Posted by snakes1100 View Post
Just install the security patch, no need for a full update.
What security patch for frontrunner? If so, not using it. By the way, if it is for front runner, what exactly does frontrunner do? ...and is it worth it? Thanks.
Reply With Quote
  #4  
Old 09 Oct 2013, 19:08
snakes1100 snakes1100 is offline
 
Join Date: Dec 2001
Real name: Anthony
If you mean forumrunner, then the patch is provided by vbulletin for all its software that comes with vb.

Download & follow the patching procedure to update vb.
Reply With Quote
  #5  
Old 09 Oct 2013, 19:38
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
Is that what the patch update is for - forum runner? What does forum runner do?
Reply With Quote
  #6  
Old 09 Oct 2013, 20:26
nhawk nhawk is offline
 
Join Date: Jan 2011
4.2.2 fixes a lot of bugs and problems. This is from the post on vB.com

* Many fixes for php 5.4 compatibility.
* MAPI updates for Mobile 1.5
* Facebook updates due to changes by Facebook
* PayPal updates due to changes by PayPal.
* Update to recognise IE11 User Agent
* Fix Import/export of Navigation Manager (Open new page flag)
* A couple of security updates in the installer & Forum Runner.
* Added the Panjo online community marketplace plug-in.
* A number of other major bugs held over from 4.2.1
I just upgraded from 4.2.1 to 4.2.2 without any problems and nothing stopped working. Your results may vary.
Reply With Quote
  #7  
Old 09 Oct 2013, 21:07
ForceHSS's Avatar
ForceHSS ForceHSS is offline
 
Join Date: Apr 2008
If I were you I would update just for the security patches alone
Reply With Quote
  #8  
Old 09 Oct 2013, 21:42
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
Originally Posted by ForceHSS View Post
If I were you I would update just for the security patches alone
Thanks. Are my mods all going to crap out? because that would suck...
Reply With Quote
  #9  
Old 09 Oct 2013, 21:48
nhawk nhawk is offline
 
Join Date: Jan 2011
Originally Posted by pityocamptes View Post
Thanks. Are my mods all going to crap out? because that would suck...
If you're running 4.2.1 now, they shouldn't.

But there's no guarantee, you only know for sure once the update is done.
Reply With Quote
  #10  
Old 09 Oct 2013, 22:22
ForceHSS's Avatar
ForceHSS ForceHSS is offline
 
Join Date: Apr 2008
Originally Posted by pityocamptes View Post
Thanks. Are my mods all going to crap out? because that would suck...
Make sure you disable plugins from config an turn board off first. Do a backup first if you get any warnings after done post them here


Note: To temporarily disable the plugin system, edit includes/config.php and add this line right under <?php


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Reply With Quote
  #11  
Old 09 Oct 2013, 22:33
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
Is there a core file to backup or basically my entire root?
Reply With Quote
  #12  
Old 09 Oct 2013, 22:43
meaters meaters is offline
 
Join Date: Jul 2010
Entire
Reply With Quote
  #13  
Old 09 Oct 2013, 22:44
pityocamptes's Avatar
pityocamptes pityocamptes is offline
 
Join Date: May 2010
I dont know. Is the upgrade absolutely required? Im seeing way to many errors after updating. On t his board and others...
Reply With Quote
  #14  
Old 09 Oct 2013, 23:16
ozzy47's Avatar
ozzy47 ozzy47 is offline
 
Join Date: Jul 2009
Real name: Chris
It is always best to upgrade to the latest version, your mods can always be fixed.
__________________
You can get access to my 180 mods for vB 3.6 - 4.x at The Admin Zone as well as the professional support you are used to. New vBulletin Spider Definitions, vBulletin Spiders List Hits 1000 Spiders! ​ OzzModz down. Site has had a data breach, checking how the intrusion happened. Change your PW if you use the same one on my site and others.
Reply With Quote
  #15  
Old 09 Oct 2013, 23:51
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by pityocamptes View Post
I dont know. Is the upgrade absolutely required? Im seeing way to many errors after updating. On t his board and others...
If you dont run Forum Runner and you delete your install folder, then no, its not absolutely required (unless you care about the bugs that were fixed as well).

As to the errors, 4.2.2 error reporting was fixed to work properly, and the result is previous errors which existed, but were not reported, now are.
Most of them got fixed, but a few slipped the net. You can read this post for ways to turn off error reporting (something any production site should do anyway).
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 02:54.

Layout Options | Width: Wide Color: